# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename xregexp

Name:               nodejs-xregexp
Version:            2.0.0
Release:            1%{?dist}
Summary:            Extended JavaScript regular expressions

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/xregexp
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(qunit)
%endif

%description
XRegExp provides augmented, extensible, cross-browser JavaScript regular
expressions. You get new syntax and flags beyond what browsers support
natively, along with a collection of utils to make your client-side
grepping and parsing easier. XRegExp also frees you from worrying about
pesky inconsistencies in cross-browser regex handling and the dubious
`lastIndex` property.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/xregexp
cp -pr package.json xregexp-all.js \
    %{buildroot}%{nodejs_sitelib}/xregexp

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node tests/node-qunit.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/xregexp/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora.
